Bug 51416 - gcc random Segmentation Fault Compiling kernel
gcc random Segmentation Fault Compiling kernel
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 08:11 EDT by Marc Lopez
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-10 08:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Lopez 2001-08-10 08:11:57 EDT
Description of problem:
When I try to compile the kernel, I got segfault.
All patches mentioned in RHBA-2001:082-05 advisory are applied.
The crashes are random. When I do 'make bzImage' and crashes, I make again 
and crashes but in any other file. The file that crashes before, now is 
compiled without error, and so on... 
Finally, after executing 'make bzImage' several times, the kernel is 
compiled and runs perfectly.

How reproducible:

Steps to Reproduce:
1. Untar kernel sources
2. Compile the kernel


Actual Results:  Random segfaults compiling kernel making bzImage

Expected Results:  Compiling kernel without errors

Additional info:

I got the same segfaults compiling ssh 3.0
Comment 1 Jakub Jelinek 2001-08-11 15:16:52 EDT
If you get random segfaults (as opposed to reproduceable failures
of gcc), it means in 99.9% cases you have flakey hardware.
gcc stresses the CPU and the memory subsystem very hard, so even if
other programs work fine, it does not mean your hardware is sane.
Comment 2 Marc Lopez 2001-08-13 03:43:09 EDT
Ok! Thanks for your help. I will look for a possible H/W failure.

Note You need to log in before you can comment on or make changes to this bug.